> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects For Scorer Route

> List all projects associated with a specific scorer.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/scorers/{scorer_id}/projects
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/{scorer_id}/projects:
    get:
      tags:
        - data
        - prompts
        - rows
      summary: List Projects For Scorer Route
      description: List all projects associated with a specific scorer.
      operationId: list_projects_for_scorer_route_v2_scorers__scorer_id__projects_get
      parameters:
        - name: scorer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Scorer Id
        - name: starting_token
          in: query
          required: false
          schema:
            type: integer
            title: Starting Token
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            title: Limit
            default: 100
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProjectsPaginatedResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    GetProjectsPaginatedResponse:
      properties:
        starting_token:
          type: integer
          title: Starting Token
          default: 0
        limit:
          type: integer
          title: Limit
          default: 100
        paginated:
          type: boolean
          title: Paginated
          default: false
        next_starting_token:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Starting Token
        projects:
          items:
            $ref: '#/components/schemas/ProjectItem'
          type: array
          title: Projects
        total_count:
          type: integer
          title: Total Count
          description: Total number of projects matching the filters.
      type: object
      required:
        - projects
        - total_count
      title: GetProjectsPaginatedResponse
      description: Response model for the V2 projects paginated endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProjectItem:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        name:
          type: string
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        bookmark:
          type: boolean
          title: Bookmark
          default: false
        num_logstreams:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Logstreams
          description: Count of runs with task_type=15
        num_experiments:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Experiments
          description: Count of runs with task_type=16
        created_by_user:
          anyOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        labels:
          items:
            $ref: '#/components/schemas/ProjectLabels'
          type: array
          title: Labels
          description: List of labels associated with the project.
        log_streams:
          anyOf:
            - items:
                $ref: '#/components/schemas/LogStreamInfo'
              type: array
            - type: 'null'
          title: Log Streams
          description: >-
            Log streams for this project. Only populated when
            include_logstreams=True.
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
      title: ProjectItem
      description: Represents a single project item for the UI list.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Permission:
      properties:
        action:
          anyOf:
            - $ref: '#/components/schemas/UserAction'
            - $ref: '#/components/schemas/GroupAction'
            - $ref: '#/components/schemas/GroupMemberAction'
            - $ref: '#/components/schemas/ProjectAction'
            - $ref: '#/components/schemas/RegisteredScorerAction'
            - $ref: '#/components/schemas/ApiKeyAction'
            - $ref: '#/components/schemas/GeneratedScorerAction'
            - $ref: '#/components/schemas/FineTunedScorerAction'
            - $ref: '#/components/schemas/DatasetAction'
            - $ref: '#/components/schemas/IntegrationAction'
            - $ref: '#/components/schemas/OrganizationAction'
            - $ref: '#/components/schemas/AnnotationQueueAction'
          title: Action
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - action
        - allowed
      title: Permission
    UserInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
      type: object
      required:
        - id
        - email
      title: UserInfo
      description: A user's basic information, used for display purposes.
    ProjectLabels:
      type: string
      enum:
        - sample
      title: ProjectLabels
      description: Enum for project labels used in the UI.
    LogStreamInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: LogStreamInfo
      description: Minimal log stream representation (id and name only).
    UserAction:
      type: string
      enum:
        - update
        - delete
        - read_api_keys
        - change_role_to_admin
        - change_role_to_manager
        - change_role_to_user
        - change_role_to_read_only
      title: UserAction
    GroupAction:
      type: string
      enum:
        - update
        - list_members
        - join
        - request_to_join
      title: GroupAction
    GroupMemberAction:
      type: string
      enum:
        - update_role
        - delete
      title: GroupMemberAction
    ProjectAction:
      type: string
      enum:
        - update
        - delete
        - rename
        - share
        - create_run
        - delete_run
        - rename_run
        - move_run
        - export_data
        - configure_human_feedback
        - record_human_feedback
        - log_data
        - toggle_metric
        - edit_alert
        - create_stage
        - edit_stage
        - configure_crown_logic
        - delete_data
        - set_metric
        - edit_run_tags
        - dismiss_alert
        - edit_slice
        - edit_edit
      title: ProjectAction
    RegisteredScorerAction:
      type: string
      enum:
        - update
        - delete
      title: RegisteredScorerAction
    ApiKeyAction:
      type: string
      enum:
        - update
        - delete
      title: ApiKeyAction
    GeneratedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: GeneratedScorerAction
    FineTunedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: FineTunedScorerAction
    DatasetAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - rename
      title: DatasetAction
    IntegrationAction:
      type: string
      enum:
        - update
        - delete
        - share
      title: IntegrationAction
    OrganizationAction:
      type: string
      enum:
        - rename
        - delete
        - delete_log_data
        - read_settings
        - update_settings
      title: OrganizationAction
    AnnotationQueueAction:
      type: string
      enum:
        - update
        - delete
        - share
        - record_annotation
      title: AnnotationQueueAction
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````